Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class SurfaceInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.SurfaceInfo

    public class SurfaceInfo

extends ChartTypeInfo

Contains the information of Surface chart type in the file. The class extends chartTypeInfo.

Field Summary
`static short` | `FILLSUFACE` The surface is filled.
`static short` | `NORMAL` Does not fill the surface.

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`SurfaceInfo(short style, boolean isContour)` Constructs a `SurfaceInfo` object with these parameters:

Method Summary
`int` | `getChartType()` Gets the type of the chart.
`boolean` | `getContour()` Gets whether the surface chart has been viewed from above.
`short` | `getStyle()` Gets the style of the surface chart.
`boolean` | `hasShadow()` Gets whether this chart has a shadow or not.
`void` | `setContour(boolean isContour)` Sets to view the surface chart from above.
`void` | `setStyle(short style)` Sets the style of the surface chart.

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setCatNameRef, setDataLabel, setInfo3D, setIs3D, setIsPercentDataLabel, setIsShowY2, setIsShowYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final short NORMAL

  Does not fill the surface.

  See Also:
    Constant Field Values

### FILLSUFACE

    public static final short FILLSUFACE

  The surface is filled.

  See Also:
    Constant Field Values

Constructor Detail

### SurfaceInfo

    public SurfaceInfo(short style,
                       boolean isContour)

  Constructs a `SurfaceInfo` object with these parameters:

  Parameters:
    `style` - style of surface chart, can be NORMAL or FILLSUFACE
    `isContour` - whether the surface chart has been viewed from above or not
  See Also:
    `NORMAL`, `FILLSUFACE`

Method Detail

### getChartType

    public int getChartType()

  Gets the type of the chart.

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### getStyle

    public short getStyle()

  Gets the style of the surface chart.

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    style of the surface chart
  See Also:
    `NORMAL`, `FILLSUFACE`

### setStyle

    public void setStyle(short style)

  Sets the style of the surface chart.

  Parameters:
    `style` - style of the surface chart
  See Also:
    `NORMAL`, `FILLSUFACE`

### hasShadow

    public boolean hasShadow()

  Gets whether this chart has a shadow or not.

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    whether this chart has a shadow or not

### setContour

    public void setContour(boolean isContour)

  Sets to view the surface chart from above.

### getContour

    public boolean getContour()

  Gets whether the surface chart has been viewed from above.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD